Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class PositionIterator

    java.lang.Object
      org.apache.fop.layoutmgr.PositionIterator

All Implemented Interfaces:
  java.util.Iterator

Direct Known Subclasses:
  BlockStackingLayoutManager.StackingIter, InlineStackingLayoutManager.StackingIter, KnuthPossPosIter

public abstract class PositionIterator
extends java.lang.Object
implements java.util.Iterator

Constructor Summary
`protected` | `PositionIterator(java.util.Iterator pIter)`

Method Summary
`protected boolean` | `checkNext()`
`protected void` | `endIter()`
`protected abstract LayoutManager` | `getLM(java.lang.Object nextObj)`
`LayoutManager` | `getNextChildLM()`
`protected abstract Position` | `getPos(java.lang.Object nextObj)`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`java.lang.Object` | `peekNext()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionIterator

    protected PositionIterator(java.util.Iterator pIter)

Method Detail

### getNextChildLM

    public LayoutManager getNextChildLM()

### getLM

    protected abstract LayoutManager getLM(java.lang.Object nextObj)

### getPos

    protected abstract Position getPos(java.lang.Object nextObj)

### checkNext

    protected boolean checkNext()

### endIter

    protected void endIter()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()
                          throws java.util.NoSuchElementException

  Specified by:
    `next` in interface `java.util.Iterator`
  Throws:
    `java.util.NoSuchElementException`

### peekNext

    public java.lang.Object peekNext()

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.